import request from '@/utils/request'
const url = '/data-api'
export function appList(query = {}) {
  return request({
    url: url + '/app/list',
    method: 'get',
    params: query
  })
}

// 需求新增
export function apiNeedApplyInsert(data) {
  return request({
    url: url + '/apiNeedApply/insert',
    method: 'post',
    data
  })
}

// 需求修改
export function apiNeedApplyUpdate(data) {
  return request({
    url: url + '/apiNeedApply/update',
    method: 'post',
    data
  })
}

// 需求列表
export function apiNeedApplyList(data) {
  return request({
    url: url + '/apiNeedApply/applyList',
    method: 'post',
    data
  })
}

// 需求详情
export function apiNeedApplyDetail(id) {
  return request({
    url: url + '/apiNeedApply/getDetail',
    method: 'get',
    params: { id }
  })
}

// 需求审核列表
export function apiNeedApplyExamineList(data) {
  return request({
    url: url + '/apiNeedApply/examineList',
    method: 'post',
    data
  })
}
export function apptypeList(query = {}) {
  return request({
    url: url + '/apptype/list',
    method: 'get',
    params: query
  })
}
export function apptypeinsertList(data) {
  return request({
    url: url + '/apptype/insert',
    method: 'post',
    data
  })
}
export function apptypeupdate(data) {
  return request({
    url: url + '/apptype/update',
    method: 'post',
    data
  })
}
export function apptypedelete(data) {
  return request({
    url: url + '/apptype/delete',
    method: 'post',
    data
  })
}
export function geteditAppApiStatus(data) {
  return request({
    url: url + '/appapi/editAppApiStatus',
    method: 'post',
    data
  })
}
export function getappapiupdate(data) {
  return request({
    url: url + '/appapi/update',
    method: 'post',
    data
  })
}
export function getappapidelete(data) {
  return request({
    url: url + '/appapi/delete',
    method: 'post',
    data
  })
}
export function getappapidisable(data) {
  return request({
    url: url + '/appapi/disable',
    method: 'post',
    data
  })
}
export function getappeditAppApiEnable(data) {
  return request({
    url: url + '/appapi/editAppApiEnable',
    method: 'post',
    data
  })
}
export function getapimngrupdate(data) {
  return request({
    url: url + '/apimngr/update',
    method: 'post',
    data
  })
}
export function getappapprove(data) {
  return request({
    url: url + '/app/approve',
    method: 'post',
    data
  })
}
export function getappapilist(query = {}) {
  return request({
    url: url + '/appapi/list',
    method: 'get',
    params: query
  })
}
export function getappapilistbyappid(query = {}) {
  return request({
    url: url + '/appapi/listbyappid',
    method: 'get',
    params: query
  })
}
export function getappapiselectusertimes(query = {}) {
  return request({
    url: url + '/appapi/selectusertimes',
    method: 'get',
    params: query
  })
}
export function getuserlistdevbyadmin(query = {}) {
  return request({
    url: url + '/user/listdevbyadmin',
    method: 'get',
    params: query
  })
}
export function getuserlistdev(query = {}) {
  return request({
    url: url + '/user/listdev',
    method: 'get',
    params: query
  })
}
export function getappinsertbyadmin(data) {
  return request({
    url: url + '/app/insertbyadmin',
    method: 'post',
    data
  })
}
export function getappupdate(data) {
  return request({
    url: url + '/app/update',
    method: 'post',
    data
  })
}
export function getappinsert(data) {
  return request({
    url: url + '/app/insert',
    method: 'post',
    data
  })
}
export function getappfindbyid(query) {
  return request({
    url: url + '/app/findbyid',
    method: 'get',
    params: query
  })
}
export function getappdelete(data) {
  return request({
    url: url + '/app/delete',
    method: 'post',
    data
  })
}
export function getappselecttimesd(query) {
  return request({
    url: url + '/appapi/selecttimesd',
    method: 'get',
    params: query
  })
}
export function getappdisable(data) {
  return request({
    url: url + '/app/disable',
    method: 'post',
    data
  })
}
export function getapimngrlistapis(query) {
  return request({
    url: url + '/apimngr/listapis',
    method: 'get',
    params: query
  })
}
export function getapimngrmanageList(query) {
  return request({
    url: url + '/apimngr/manageList',
    method: 'get',
    params: query
  })
}
export function getapiloggetdevreport(query) {
  return request({
    url: url + '/apilog/getdevreport',
    method: 'get',
    params: query
  })
}
export function getapiloggeneralcount(query) {
  return request({
    url: url + '/apilog/generalcount',
    method: 'get',
    params: query
  })
}
export function getuserlistdevelopers(query) {
  return request({
    url: url + '/user/listdevelopers',
    method: 'get',
    params: query
  })
}
export function getapplistcount(query) {
  return request({
    url: url + '/app/listcount',
    method: 'get',
    params: query
  })
}
export function getuserdevelopercount(query) {
  return request({
    url: url + '/user/developercount',
    method: 'get',
    params: query
  })
}
export function getusertopdevelopers(query) {
  return request({
    url: url + '/user/topdevelopers',
    method: 'get',
    params: query
  })
}
export function getlistqpsapply(query) {
  return request({
    url: url + '/appapi/listqpsapply',
    method: 'get',
    params: query
  })
}
export function getCheckApiList(query) {
  return request({
    url: url + '/appapi/getCheckApiList',
    method: 'get',
    params: query
  })
}
export function getappcount(query) {
  return request({
    url: url + '/app/appcount',
    method: 'get',
    params: query
  })
}
export function getapptopapps(query) {
  return request({
    url: url + '/app/topapps',
    method: 'get',
    params: query
  })
}
export function getapimngrapicount(query) {
  return request({
    url: url + '/apimngr/apicount',
    method: 'get',
    params: query
  })
}
export function getapimngrtopapis(query) {
  return request({
    url: url + '/apimngr/topapis',
    method: 'get',
    params: query
  })
}
export function getappapilistservice(query) {
  return request({
    url: url + '/appapi/listservice',
    method: 'get',
    params: query
  })
}
export function getcodeinfolist(query) {
  return request({
    url: url + '/codeinfo/list',
    method: 'get',
    params: query
  })
}
